#!/usr/bin/gnuplot

H = 15.0
pV = 0.15
D = 10.**(0.5 * (6.259 - log10(pV) - 0.4*H))
print "D = ", D, " km"

set colors classic
deg = pi/180.

set term post eps enh color solid "Helvetica,18"
set out "ai_15MAG.eps"
set size 1.2,1.0

set xl "{/Helvetica-Oblique a} [au]"
set yl "{/Helvetica-Oblique I} [deg]"

set xr [1.6:5.6]
set yr [0:40]
#set logscale x
set nokey

am = 1.5236633966611037
aj = 5.2031303413943251
r(a,i,j) = a*(1.0*i/j)**(-2./3.)
tmp=2.15; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0
i= 1; j=2; tmp=r(am,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 4; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=11; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 7; j=2; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=10; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=13; j=4; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 3; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=14; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=11; j=4; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 8; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=13; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 5; j=2; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=17; j=7; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=12; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 7; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=16; j=7; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 9; j=4; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=11; j=5; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=13; j=6; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=15; j=7; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=17; j=8; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i=19; j=9; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 2; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 3; j=2; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 4; j=3; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
i= 1; j=1; tmp=r(aj,i,j); set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.2157; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.3977; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.4476; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.5599; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.6155; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.6190; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.6230; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.6857; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.7525; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.9095; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=2.9860; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=3.0790; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=3.1385; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=3.1418; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=3.1708; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=3.1738; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front
tmp=3.2080; set arrow from tmp,graph 0 rto 0,graph 1 nohead lt 0 front

tmp=2.15; set label "{/Symbol n}_6" at tmp,graph 1.03 center font "Helvetica,12"
#i= 1; j=2; tmp=r(am,i,j); set label sprintf("M%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i= 4; j=1; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=11; j=3; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i= 7; j=2; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=10; j=3; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=13; j=4; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 3; j=1; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=14; j=5; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=11; j=4; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 8; j=3; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=13; j=5; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 5; j=2; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=17; j=7; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=12; j=5; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 7; j=3; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=16; j=7; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i= 9; j=4; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=11; j=5; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=13; j=6; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=15; j=7; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=17; j=8; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#i=19; j=9; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 2; j=1; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 3; j=2; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 4; j=3; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
i= 1; j=1; tmp=r(aj,i,j); set label sprintf("%d:%d",i,j) at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.2157; set label "4-1-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.3977; set label "4-2-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.4476; set label "7-2-2" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.5599; set label "7-3-2" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.6155; set label "2+2-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.6190; set label "6-1-2" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.6230; set label "4-3-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.6857; set label "7-4-2" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.7525; set label "3-1-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.9095; set label "4-4-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=2.9860; set label "5-1-2" at tmp,graph 1.03 right  font "Helvetica,12"
#tmp=3.0790; set label "3-2-1" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=3.1385; set label "6+1-3" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=3.1418; set label "8-4-3" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=3.1708; set label "3+3-2" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=3.1738; set label "5-2-2" at tmp,graph 1.03 center font "Helvetica,12"
#tmp=3.2080; set label "7-2-3" at tmp,graph 1.03 center font "Helvetica,12"

set lmargin 6.5
set rmargin 0.7
set bmargin 3.1
set tmargin 1.1

load "COLOR_sloan.plt"

f_(H) = H > 0.0 ? 0.33 + (H-20.)/(4.-20.)*1.5 : NaN
g_(H) = 2.*f(H)

p \
  "<head -1000000 ../CATALOGUES/astorb_astdys_wise_akari_sloan.dat | awk '($4>=15.0) && ($36==\"?\")'"                  u 23:21                                    w d lw 1.5 lc 'gray',\
  "<head -1000000 ../CATALOGUES/astorb_astdys_wise_akari_sloan.dat | awk '($4>=15.0) && ($36!=\"?\")'"                  u 36:(asin($38)/deg)                       w d lw 1.5 lc 'gray',\
  "<head -1000000 ../CATALOGUES/astorb_astdys_wise_akari_sloan.dat | awk '($4>=15.0) && ($36==\"?\") && ($121!=\"?\")'" u 23:21:(aiz($104,$100-$102))              w d lw 3.0 lc rgb variable,\
  "<head -1000000 ../CATALOGUES/astorb_astdys_wise_akari_sloan.dat | awk '($4>=15.0) && ($36!=\"?\") && ($121!=\"?\")'" u 36:(asin($38)/deg):(aiz($104,$100-$102)) w d lw 3.0 lc rgb variable


q



