#!/usr/bin/gnuplot

set colors classic
set term x11

set xl "{/Helvetica-Oblique a}^* [mag]"
set yl "{/Helvetica-Oblique i}-{/Helvetica-Oblique z} [mag]" offset 1,0

tmp=3.0
tmp=0.5
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set size ratio -1

set zeroaxis
set ticslevel 0
set pm3d map
set nokey

set lmargin 7.5
set rmargin 0.2
set bmargin 3.2
set tmargin 0.2

load "COLOR_sloan.plt"

f_(H) = H > 0.0 ? 0.33 + (H-20.)/(4.-20.)*1.5 : 0.0
g_(H) = 0.2*f_(H)
g_(H) = 1.0

p \
  "<head -100000 ../CATALOGUES/astorb_astdys_wise_akari_sloan.dat | awk '($104!=\"?\")'" u 104:($100-$102):(g_($121)):(aiz($104,$100-$102)) with p pt 7 ps var lc rgb variable,\

pa -1

set term post eps enh color solid "Helvetica" 18
set out "astar_iz.eps"
set size 0.65,0.9
rep

q

  ""     u 104:($100-$102):105:(sqrt($101**2+$103**2)) w xyerr,\

